package com.shanghaichengdi.ghjgitem.exception;

/**
 * 枚举转换异常
 */
public class EnumException extends RuntimeException{
private static final String ERROR_MESSAGE = "传入参数不符合规范要求";

  public EnumException() {
    super();
  }

  public EnumException(String errMessage) {
    super(errMessage);
  }

  public static void cast(String errMessage) {
    throw new EnumException(errMessage);
  }

  public static void cast() {
    throw new EnumException(ERROR_MESSAGE);
  }
}
